com.aliyun.player.source

## Class VidMps

- java.lang.Object
- - com.aliyun.player.source.SourceBase
  - - com.aliyun.player.source.VidSourceBase
    - - com.aliyun.player.source.VidMps

-     public class VidMps
      extends VidSourceBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.player.source.VidSourceBase

      `VidSourceBase.OutputType, VidSourceBase.ResultType, VidSourceBase.StreamType`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.player.source.SourceBase

      `mForceQuality, mQuality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidMps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessKeyId()` Query the AccessKey ID for authentication.
    `java.lang.String` | `getAccessKeySecret()` Query the AccessKey Secret for authentication.
    `java.lang.String` | `getAuthInfo()` Query authentication information.
    `java.lang.String` | `getHlsUriToken()` Query HlsUriToken.
    `java.lang.String` | `getMediaId()` Query the ID of the media.
    `java.lang.String` | `getPlayDomain()` Query the playback domain.
    `java.lang.String` | `getRegion()` Query region information.
    `java.lang.String` | `getSecurityToken()` Query the token.
    `void` | `setAccessKeyId(java.lang.String mAccessKeyId)` Set the AccessKey ID for authentication.
    `void` | `setAccessKeySecret(java.lang.String mAccessKeySecret)` Set the AccessKey Secret for authentication.
    `void` | `setAuthInfo(java.lang.String mAuthInfo)` Specify authentication information.
    `void` | `setHlsUriToken(java.lang.String mHlsUriToken)` Set HlsUriToken.
    `void` | `setMediaId(java.lang.String mMediaId)` Specify a media ID.
    `void` | `setPlayDomain(java.lang.String mPlayDomain)` Specify a playback domain.
    `void` | `setQuality(java.lang.String quality, boolean forceQuality)` Definition settings
    `void` | `setRegion(java.lang.String mRegion)` Specify regions.
    `void` | `setSecurityToken(java.lang.String mSecurityToken)` Set a token.

    - ### Methods inherited from class com.aliyun.player.source.VidSourceBase

      `getAuthTimeout, getDefinitionStr, getFormats, getFormatStr, getOutputType, getOutputTypeStr, getPlayConfig, getReAuthInfo, getReAuthInfoStr, getResultType, getResultTypeStr, getStreamType, getStreamTypeStr, setAuthTimeout, setDefinition, setFormats, setOutputType, setPlayConfig, setReAuthInfo, setResultType, setStreamType`

    - ### Methods inherited from class com.aliyun.player.source.SourceBase

      `getCoverPath, getQuality, getTitle, isForceQuality, setCoverPath, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VidMps

          public VidMps()

  - ### Method Detail

    - #### setQuality

          public void setQuality(java.lang.String quality,
                                 boolean forceQuality)

      Definition settings
      Parameters:
        `quality` - Specify a definition for playback.
        `forceQuality` - Indicate whether to force the player to play the media with the specified definition. However, if the media does not support the specified definition, then it cannot be played.

    - #### getMediaId

          public java.lang.String getMediaId()

      Query the ID of the media.
      Returns:
        The ID of the media.

    - #### setMediaId

          public void setMediaId(java.lang.String mMediaId)

      Specify a media ID.
      Parameters:
        `mMediaId` - The ID of the media.

    - #### getAccessKeyId

          public java.lang.String getAccessKeyId()

      Query the AccessKey ID for authentication.
      Returns:
        The AccessKey ID for authentication.

    - #### setAccessKeyId

          public void setAccessKeyId(java.lang.String mAccessKeyId)

      Set the AccessKey ID for authentication.
      Parameters:
        `mAccessKeyId` - The AccessKey ID for authentication

    - #### getAccessKeySecret

          public java.lang.String getAccessKeySecret()

      Query the AccessKey Secret for authentication.
      Returns:
        The AccessKey Secret for authentication.

    - #### setAccessKeySecret

          public void setAccessKeySecret(java.lang.String mAccessKeySecret)

      Set the AccessKey Secret for authentication.
      Parameters:
        `mAccessKeySecret` - The AccessKey Secret for authentication.

    - #### getSecurityToken

          public java.lang.String getSecurityToken()

      Query the token.
      Returns:
        The token.

    - #### setSecurityToken

          public void setSecurityToken(java.lang.String mSecurityToken)

      Set a token.
      Parameters:
        `mSecurityToken` - The specified token.

    - #### getRegion

          public java.lang.String getRegion()

      Query region information.
      Returns:
        The region information.

    - #### setRegion

          public void setRegion(java.lang.String mRegion)

      Specify regions.
      Parameters:
        `mRegion` - The specified regions.

    - #### getPlayDomain

          public java.lang.String getPlayDomain()

      Query the playback domain.
      Returns:
        The playback domain.

    - #### setPlayDomain

          public void setPlayDomain(java.lang.String mPlayDomain)

      Specify a playback domain.
      Parameters:
        `mPlayDomain` - The playback domain.

    - #### getAuthInfo

          public java.lang.String getAuthInfo()

      Query authentication information.
      Returns:
        The authentication information.

    - #### setAuthInfo

          public void setAuthInfo(java.lang.String mAuthInfo)

      Specify authentication information.
      Parameters:
        `mAuthInfo` - The authentication information.

    - #### getHlsUriToken

          public java.lang.String getHlsUriToken()

      Query HlsUriToken.
      Returns:
        HlsUriToken.

    - #### setHlsUriToken

          public void setHlsUriToken(java.lang.String mHlsUriToken)

      Set HlsUriToken.
      Parameters:
        `mHlsUriToken` - HlsUriToken.